2009-04-15  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.ac:
	Released preload-0.6.4.

2009-04-15  Behdad Esfahbod  <behdad@gnome.org>

	* src/Makefile.am: The source (and dot) builtin in POSIX /bin/sh does
	not search current dir.  Use $(SHELL) instead.

2009-04-14  Behdad Esfahbod  <behdad@gnome.org>

	* src/Makefile.am: Better handle file generation failures.

2008-12-07  Behdad Esfahbod  <behdad@gnome.org>

	* src/preload.c (daemonize): Change umask from 0117 to 0007.  0117
	means disaster if we end up creating a dir.

2008-11-24  Behdad Esfahbod  <behdad@gnome.org>

	* configure.ac:	Require glib >= 2.14

	* src/state.c (preload_state_tick2), (preload_state_tick),
	(preload_state_autosave), (preload_state_run):
	Use g_timeout_add_seconds instead of g_timeout_add.  Patch from
	Jan Kantert.

2008-10-09  Behdad Esfahbod  <behdad@gnome.org>

	* src/preload.conf.in: Clarify exe/map matching.

2008-08-19  Behdad Esfahbod  <behdad@gnome.org>

	* src/cmdline.c: --nice was segfaulting.  Fix it.

2008-07-28  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.ac:
	Released preload-0.6.3.

2008-07-28  Behdad Esfahbod  <behdad@gnome.org>

	* src/state.c (read_state): I just can't make releases.  Make it
	parse the three-part version numbers, so state loading works again.

2008-07-28  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.ac:
	Released preload-0.6.2.

2008-07-28  Behdad Esfahbod  <behdad@gnome.org>

	* src/readahead.c (process_file): Correctly fix the previous
	fork craziness issue.  Bug revealed to me by Kai Krakow.
	Also do O_NOATIME when readahead'ing.

2008-07-27  Behdad Esfahbod  <behdad@gnome.org>

	* Makefile.am:
	* RELEASING:
	Simplify release instructions.

2008-07-27  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.ac:
	Released preload-0.6.1.

2008-07-27  Behdad Esfahbod  <behdad@gnome.org>

	* src/readahead.c (wait_for_children), (process_file),
	(preload_readahead): Wait for children to exit.  Fixes bug where
	preload was spawning thousands of processes.  I have not fully
	understood how that happened, but the fix is right.  Still
	investigating.

2008-07-24  Behdad Esfahbod  <behdad@gnome.org>

	* preload.init.in: Start it on runlevels 2345 by default.
	Leave it to distros to modify.

2008-07-23  Behdad Esfahbod  <behdad@gnome.org>

	* configure.ac: Post-release increment to 0.7

2008-07-23  Behdad Esfahbod  <behdad@gnome.org>

	* NEWS:
	* configure.ac:
	Released preload-0.6.

2008-07-23  Behdad Esfahbod

	* Makefile.am: Forget about preload.spec
	Also get rid of automatic ChangeLog generation.

	* ChangeLog: Add to repo!

2008-07-23  Behdad Esfahbod <behdad@gnome.org>

	* src/readahead.c (process_file), (preload_readahead): Implement
	request merging.

	With this change, I have cherry-picked/reimplemented all the various
	patches and changes submitted to me for preload these past three
	years.	This includes all the patches from Ubuntu and Fedora
	packagers.  Thanks everyone!

	About time for a release now!

2008-07-23  Behdad Esfahbod <behdad@gnome.org>

	* src/confkeys.h: Change default memory settings to be more
	conservative: consume 50% of free mem minus 10% of total, and
	none of the cached.

	* src/preload.conf.in: Rename system.maxproc key to system.maxprocs.

	* src/readahead.c (process_file): Implement parallel readahead.

2008-07-23  Behdad Esfahbod  <behdad@gnome.org> 

	* preload.init.in: Default off in all runlevels.

	* src/conf.h:
	* src/confkeys.h:
	* src/preload.conf.in:
	Add two new config keys: system.maxproc and system.sortstrategy.
	The maxproc setting is not implemented yet.

	* src/state.h:
	* src/readahead.c (set_block), (map_block_compare), (process_file),
	(sort_by_block_or_inode), (sort_files), (preload_readahead):
	* src/state.c (preload_map_new), (read_map), (read_exe),
	(write_map): Implement all sort strategies.

	* src/state.c: Error handling cleanup.

2007-11-10   Behdad Esfahbod

	* preload.init.in, preload.sysconfig: Support running under ionice
	from init script.  Default to idle io priority.

2007-11-10   Behdad Esfahbod

	* preload.logrotate.in: Compress rotated logs.

2007-11-10   Behdad Esfahbod

	* preload.sysconfig: Set verbose level to 1 in sysconfig file.

2007-11-10   Behdad Esfahbod

	* src/cmdline.c: Include cmd-line option default values in the man
	page.

2007-11-09   Behdad Esfahbod

	* src/prophet.c, src/readahead.c, src/readahead.h: Fix typo in
	compare function causing files not being sorted on path at all.

2007-11-09   Behdad Esfahbod

	* src/preload.conf.in: Add /lib64 and /var/cache to mapprefix

2007-11-09   Behdad Esfahbod

	* configure.ac, preload.spec.in: Remove RPM spec file template.
	Now that Fedora has one in the works, this one just falls outdated.

2007-05-11   Behdad Esfahbod

	* src/state.c: Plug file descriptor leak (Kari Pahula)

2007-05-11   Behdad Esfahbod

	* src/preload.conf.in, src/proc.c: Misc fixes.

2006-08-02   Behdad Esfahbod

	* configure.ac: Post-release version increment to 0.5.

2006-08-02   Behdad Esfahbod

	* RELEASING: Change release tag from RELEASE_X_Y to PRELOAD_X_Y.

2006-08-02   Behdad Esfahbod

	* Makefile.am: Make build rpm failure not fail release-check.

2006-08-02   Behdad Esfahbod

	* NEWS, configure.ac: preload-0.4 released.

2006-08-02   Behdad Esfahbod

	* TODO: Add ionice.

2006-04-05   Behdad Esfahbod

	* preload.init.in: Add LSB INIT INFO block. (patch from Kari
	Pahula)

2005-11-27   Behdad Esfahbod

	* src/preload.conf.in: Removed /usr/lib/locale blacklisting.  We
	only readahead mapped areas, and that's not a problem for
	localarchive, no matter how huge that file may be.

2005-10-23   Behdad Esfahbod

	* TODO, src/conf.c, src/preload.conf.in, src/proc.c, src/prophet.c,
	src/state.h: Misc small fixes with handling prefix lists.

2005-10-07   Behdad Esfahbod

	* src/readahead.c: Removed extra copyright lines.  We're not using
	their code yet.

2005-09-16   Behdad Esfahbod

	* src/proc.c: Fix the same pointer bug in accept_file too.  God,
	and it's been working all this time?!

2005-09-16   Behdad Esfahbod

	* src/conf.c: Fix pointer bug in dump_log.

2005-09-13   Behdad Esfahbod

	* src/spy.c, src/state.c: Use g_assert_if_fail family instead of
	g_assert, at function entry points.

2005-09-08   Behdad Esfahbod

	* TODO: Add a few TODO items.  Never hurts.

2005-09-07   Behdad Esfahbod

	* src/Makefile.am: Add preload.conf.debug to MAINTAINERCLEANFILES.

2005-09-06   Behdad Esfahbod

	* src/Makefile.am, src/runtests.sh: Get rid of
	src/preload.conf.debug in check target.

2005-09-06   Behdad Esfahbod

	* src/proc.c, src/state.c: Use long when reading/writing size_t
	types.	Fixes problem on 64-bit archs.

2005-09-06   Behdad Esfahbod

	* configure.ac: We require glib >= 2.6

2005-09-06   Behdad Esfahbod

	* src/state.c: Err if duplicate objects found in state file,
	instead of failing assert.

2005-09-06   Behdad Esfahbod

	* README: Reflect moving of state file.

2005-09-06   Behdad Esfahbod

	* Makefile.am, NEWS, configure.ac, preload.spec.in,
	src/Makefile.am, src/prophet.c: Build structure fixes, to turn off
	rpmlint errors and warnings.  The state file is placed in
	/var/lib/preload instead of /var/preload.

2005-09-06   Behdad Esfahbod

	* src/cmdline.c: Minor change in help2man string.

2005-09-02   Behdad Esfahbod

	* Makefile.am, src/Makefile.am, src/cmdline.c, src/state.c,
	src/state.h: Small fixes with the way manual is generated.

2005-09-01   Behdad Esfahbod

	* Makefile.am: Variable misnamed fixed.

2005-09-01   Behdad Esfahbod

	* configure.ac: Post-release version bump to 0.3.

2005-09-01   Behdad Esfahbod

	* configure.ac: One last fix.  preload-0.2 released NOW.

2005-09-01   Behdad Esfahbod

	* Makefile.am, RELEASING: Last-minute fixes.

2005-09-01   Behdad Esfahbod

	* NEWS, configure.ac: preload-0.2 released.

2005-09-01   Behdad Esfahbod

	* .cvsignore, Makefile.am, README, RELEASING, configure.ac,
	preload.spec.in, doc/Makefile.am: Build system enhancement to
	provide release-publish make target.

2005-09-01   Behdad Esfahbod

	* Makefile.am, NEWS, README, configure.ac, preload.spec.in,
	src/runtests.sh: Getting ready for release.  Version bumped up to
	0.2.

2005-09-01   Behdad Esfahbod

	* doc/Makefile.am, doc/index.txt, doc/proposal.txt: Added.  The
	initial proposal.

2005-09-01   Behdad Esfahbod

	* src/cmdline.c, src/prophet.c: Debugging levels assigned for
	printing all predicted exes and maps, with levels 9 and 10
	respectively.

2005-09-01   Behdad Esfahbod

	* src/preload.conf.in, src/prophet.c, src/state.c: Cleanup bad_exes
	at autosave time.

2005-09-01   Behdad Esfahbod

	* TODO, src/confkeys.h: Decrease minsize.

2005-09-01   Behdad Esfahbod

	* src/cmdline.c, src/log.c, src/preload.c, src/preload.h: Add nice
	to the daemon.

2005-09-01   Behdad Esfahbod

	* src/conf.h, src/confkeys.h, src/preload.conf.in, src/spy.c,
	src/state.c, src/state.h: Better handling of bad exes.	Don't read
	bad exes from state.

2005-09-01   Behdad Esfahbod

	* src/preload.conf.in, src/prophet.c: What a typo!  Use max, not
	min.

2005-09-01   Behdad Esfahbod

	* src/conf.c, src/conf.h, src/confkeys.h, src/preload.conf.in,
	src/proc.c, src/proc.h, src/prophet.c, src/readahead.c: Use memory
	stats to determine how much to preload.

2005-09-01   Behdad Esfahbod

	* TODO, src/common.h, src/preload.c, src/preload.conf.in,
	src/proc.c, src/proc.h, src/prophet.c, src/state.c, src/state.h:
	Read memory stat from /proc.

2005-09-01   Behdad Esfahbod

	* src/prophet.c: Segfault fix.

2005-09-01   Behdad Esfahbod

	* THANKS, TODO, preload.spec.in, src/Makefile.am, src/prophet.c,
	src/readahead.c, src/readahead.h, src/state.h: Readahead
	implemented.

2005-08-31   Behdad Esfahbod

	* src/log.c, src/prophet.c, src/prophet.h, src/state.c,
	src/state.h: Prediction is completely working!

2005-08-31   Behdad Esfahbod

	* src/spy.c, src/state.c, src/state.h: Fixed markov accounting.

2005-08-31   Behdad Esfahbod

	* src/confkeys.h, src/preload.conf.in: Change default cycle from 30
	seconds to 20.

2005-08-31   Behdad Esfahbod

	* src/prophet.c: Take correlation into account.

2005-08-31   Behdad Esfahbod

	* src/cmdline.c, src/common.h, src/conf.c, src/conf.h,
	src/confkeys.h, src/preload.conf.in, src/proc.c, src/proc.h,
	src/prophet.c, src/spy.c, src/state.c, src/state.h: Fixes a nasty
	bug in reading state.  Adds GSet, an abstraction for set that may
	use a GSList or GPtrArray as the implementation.  Implements the
	core of prediction.

2005-08-30   Behdad Esfahbod

	* src/.cvsignore, src/Makefile.am, src/preload.conf.debug,
	src/prophet.c, src/state.c, src/state.h: Added _foreach functions
	for markovs and exemaps.

2005-08-29   Behdad Esfahbod

	* src/state.c: Do not save at exit time if model not changed.

2005-08-29   Behdad Esfahbod

	* src/Makefile.am, src/conf.c, src/conf.h, src/confkeys.h,
	src/preload.conf.debug, src/preload.conf.in, src/prophet.c,
	src/prophet.h, src/spy.c, src/state.c, src/state.h: Added prophet
	stub, the prediction module.

2005-08-29   Behdad Esfahbod

	* preload.logrotate.in: Use kill -HUP instead of condrestart in
	post logrotate.

2005-08-29   Behdad Esfahbod

	* TODO, src/conf.c, src/conf.h, src/confkeys.h,
	src/preload.conf.debug, src/preload.conf.in, src/proc.c: Added
	configuration keys to whitelist/blacklist files that should be
	considered by preload based on their path.

2005-08-28   Behdad Esfahbod

	* README: Typo fixed.

2005-08-28   Behdad Esfahbod

	* src/.cvsignore, src/Makefile.am, src/conf.c, src/conf.h,
	src/log.c, src/log.h, src/preload.8.i, src/preload.c,
	src/preload.h: Better log and signal handling, all documented in
	the man page too.

2005-08-28   Behdad Esfahbod

	* README, preload.spec.in, preload.sysconfig, src/.cvsignore,
	src/Makefile.am, src/state.c: Changed the meaning of the version
	number.  Added a README file.  Moved man page to section 8 instead
	of 1.

2005-08-28   Behdad Esfahbod

	* src/proc.c: Handle prelink mess.

2005-08-28   Behdad Esfahbod

	* src/state.c: Use tabs in preload.state for better visual format.

2005-08-28   Behdad Esfahbod

	* Makefile.am: Oops.  missing is for rules that create a file.
	Removing it back.

2005-08-28   Behdad Esfahbod

	* Makefile.am: Add missing to the rpm build rule.

2005-08-28   Behdad Esfahbod

	* preload.sysconfig: Added.

2005-08-28   Behdad Esfahbod

	* Makefile.am, configure.ac, preload.init.in, preload.spec.in,
	src/confkeys.h, src/log.c, src/preload.c, src/preload.conf.in,
	src/state.c, src/state.h: Misc fixes to make it installable and
	running.  Added a /etc/sysconfig/preload file that is used by the
	initscript for configuration about when/how to run the daemon.
	Moreover, kill -USR2 now instructs the daemon to save state,
	instead of spewing out lots of nonsense in the log.

2005-08-26   Behdad Esfahbod

	* configure.ac, src/Makefile.am, src/conf.h, src/confkeys.h,
	src/preload.conf.debug, src/runtests.sh: Misc.

2005-08-26   Behdad Esfahbod

	* src/state.c: Reordering functions for more readability.

2005-08-26   Behdad Esfahbod

	* src/state.c: Reorganized the spagetti that the state loading code
	was.  Weirdly enough, the new code, while much more modularized,
	doesn't look as /beautiful/ as the old code :-(.

2005-08-26   Behdad Esfahbod

	* src/common.h, src/spy.c, src/state.c, src/state.h: State save
	support complete.

2005-08-25   Behdad Esfahbod

	* src/log.c, src/state.c: State save structure written.

2005-08-25   Behdad Esfahbod

	* Makefile.am: Minor.

2005-08-25   Behdad Esfahbod

	* THANKS: Thanking Google Summer of Code more explicitly, as per
	request of chrisd ;).

2005-08-25   Behdad Esfahbod

	* src/common.h, src/log.c, src/preload.c, src/proc.c, src/spy.c,
	src/state.c, src/state.h: State loading written.

2005-08-25   Behdad Esfahbod

	* TODO: Removed done tasks.

2005-08-23   Behdad Esfahbod

	* preload.init.in: Silently quit if less than 384MB of ram.

2005-08-23   Behdad Esfahbod

	* .cvsignore, Makefile.am, configure.ac, preload.init.in,
	preload.logrotate.in, preload.spec.in, src/Makefile.am,
	src/cmdline.c, src/conf.c, src/preload.h, src/state.c: Fedora
	compatible packaging.

2005-08-23   Behdad Esfahbod

	* TODO, src/Makefile.am, src/preload.c, src/preload.conf.in,
	src/proc.c, src/spy.c, src/state.c, src/state.h: Markov chain model
	training landed.

2005-08-23   Behdad Esfahbod

	* src/.cvsignore, src/Makefile.am: More build fixes.

2005-08-23   Behdad Esfahbod

	* src/cmdline.c: Typo fixed.

2005-08-23   Behdad Esfahbod

	* src/Makefile.am, src/cmdline.c, src/proc.c, src/runtests.sh,
	src/spy.c: Using help2man(1) now to produce a man page.

2005-08-23   Behdad Esfahbod

	* TODO, src/.cvsignore, src/Makefile.am, src/cmdline.c,
	src/common.h, src/conf.c, src/conf.h, src/confkeys.h, src/log.h,
	src/preload.c, src/preload.conf.debug, src/preload.conf.in,
	src/preload.h, src/proc.c, src/proc.h, src/runtests.sh, src/spy.c,
	src/spy.h, src/state.c, src/state.h: Initial data acquisation
	implementation using glib.

2005-08-22   Behdad Esfahbod

	* Makefile.am, src/Makefile.am: Make dist fixes.

2005-08-22   Behdad Esfahbod

	* src/.cvsignore, src/Makefile.am, src/cmdline.c, src/common.h,
	src/conf.c, src/conf.h, src/confkeys.h, src/gen.preload.conf.sh,
	src/log.c, src/preload.c, src/preload.conf.in, src/state.c,
	src/state.h: Configuration and main loop support using glib.

2005-08-20   Behdad Esfahbod

	* .cvsignore, .indent.pro, AUTHORS, Makefile.am, NEWS, README,
	README-alpha, THANKS, TODO, bootstrap, configure.ac,
	preload.spec.in, COPYING, src/Makefile.am, src/cmdline.c,
	src/cmdline.h, src/common.h, src/conf.c, src/conf.h, src/log.c,
	src/log.h, src/preload.c, src/preload.h, src/state.c, src/state.h:
	Initial import of the infrastructure.

2005-08-20   Behdad Esfahbod

	* .cvsignore, .indent.pro, AUTHORS, Makefile.am, NEWS, README,
	README-alpha, THANKS, TODO, bootstrap, configure.ac,
	preload.spec.in, COPYING, src/Makefile.am, src/cmdline.c,
	src/cmdline.h, src/common.h, src/conf.c, src/conf.h, src/log.c,
	src/log.h, src/preload.c, src/preload.h, src/state.c, src/state.h:
	Initial revision

